import 'package:flutter/material.dart';
import 'package:ken/smeup/models/smeup_fun.dart';
import 'package:ken/smeup/screens/smeup_dynamic_screen.dart';
import 'package:ken/smeup/services/smeup_configuration_service.dart';
import 'package:ken/smeup/widgets/smeup_label.dart';

class LandPage extends StatefulWidget {
  const LandPage({Key key}) : super(key: key);

  @override
  State<LandPage> createState() => _LandPageState();
}

class _LandPageState extends State<LandPage> {
  final _formKey = GlobalKey<FormState>();

  final _scaffoldKey = GlobalKey<ScaffoldState>();

  @override
  void initState() {
    WidgetsBinding.instance.addPostFrameCallback((_) {
      Future.delayed(const Duration(seconds: 2), () {
        String _initialFun =
            SmeupConfigurationService.getLocalStorage().getString('initialFun');
        final smeupFun = SmeupFun(_initialFun, null, null, context);
        Navigator.of(context).pushNamed(SmeupDynamicScreen.routeName,
            arguments: {'smeupFun': smeupFun, 'backButtonVisible': false});
      });
    });

    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return WillPopScope(
        onWillPop: () async => false,
        child: Theme(
          data: SmeupConfigurationService.getTheme(),
          child: Builder(
            builder: (BuildContext context) => Scaffold(
              key: _scaffoldKey,
              body: SingleChildScrollView(
                child: Container(
                  padding: const EdgeInsets.all(14),
                  child: Form(
                    key: _formKey,
                    child: Stack(
                      children: <Widget>[
                        const Padding(
                          padding: EdgeInsets.only(top: 330),
                          child: Image(
                              image: AssetImage(
                                  'assets/images/img_home_resized.png')),
                        ),
                        // Padding(
                        //   padding: const EdgeInsets.only(top: 28.0),
                        //   child: Center(
                        //       child: Image.asset(
                        //     "assets/images/appstore_1024.png",
                        //     height: 200,
                        //     width: 200,
                        //   )),
                        // ),
                        Padding(
                          padding: const EdgeInsets.only(top: 30.0),
                          child: Center(
                            child: SmeupLabel(
                              _scaffoldKey,
                              _formKey,
                              const ['BENVENUTO IN SHIRO'],
                              width: double.infinity,
                              height: 100,
                              fontColor: const Color(0xff06899b),
                            ),
                          ),
                        ),
                      ],
                    ),
                  ),
                ),
              ),
            ),
          ),
        ));
  }
}
