import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import '/services/localization_service.dart';

class LocalizationDelegate extends LocalizationsDelegate<LocalizationService> {
  const LocalizationDelegate();

  @override
  bool isSupported(Locale locale) =>
      ['en', 'it', 'fr'].contains(locale.languageCode);

  @override
  Future<LocalizationService> load(Locale locale) {
    // Returning a SynchronousFuture here because an async "load" operation
    // isn't needed to produce an instance of DemoLocalizations.
    return SynchronousFuture<LocalizationService>(LocalizationService(locale));
  }

  @override
  bool shouldReload(LocalizationDelegate old) => false;
}
