import 'package:flutter/material.dart';

class LocalizationService {
  LocalizationService(this.locale);

  final Locale locale;

  static LocalizationService of(BuildContext context) {
    return Localizations.of<LocalizationService>(context, LocalizationService);
  }

  final Map<String, Map<String, String>> _localizedValues = {
    'en': {
      'wrong-password': 'wrong password',
      'user-disabled': ' user disabled',
      'invalid-email': 'invalid email',
      'user-not-found': 'User not found',
      'pwdNotValid': 'Password not valid',
      'pwdNotEqual': 'Le password non coincidono',
      'emailNotValid': 'Please enter a valid email',
      'fieldRequired': 'Value required',
      'zipCodeNotValid': 'Please enter a valid zipcode',
      'registrationFailed': 'The user registration failed',
      'extensionFailed': 'The personal data registration failed',
      'confirmRequired':
          'The registration succeded. Please check your emails to confirm your email address',
      'loginFailed': 'Login failed. Please check your credentials',
      'accept': 'Accept',
      'passwordChangeFailed': 'The password change failed',
      'dataNotAvailable': 'Data not available',
      'continue': 'Continue',
      'noWiFi':
          'This functionality requires that you are connected to a Wi-Fi connection.',
      'noLocationPermission':
          'This functionality requires the phone\'s location permission to be accepted',
      'noLocationService': 'The location service is not active on the phone',
      'noInternetConnection': 'Is not possible to connect the phone to the ',
      'textTutorial1': 'textTutorial1',
      'textTutorial2': 'textTutorial2',
      'textTutorial3': 'textTutorial3',
      'textTutorial4': 'textTutorial4',
      'textTutorial5': 'textTutorial5',
      'textTutorial6': 'textTutorial6',
      'textTutorial7': 'textTutorial7',
      'emailRecover':
          'Insert the email address where you want to receive the new password',
      'forgotPassword': 'Forgot password',
      'signUp': 'SignUp',
      'end': 'Finish',
      'changePassword': 'Change your Password',
      'userProfile': 'User Profile',
      'myDevices': 'My products',
      'name': 'Name',
      'surname': 'Surname',
      'address': 'Address',
      'zipcode': 'Zipcode',
      'city': 'City',
      'currentPassword': 'Current password',
      'newPassword': 'New Password',
      'confirmPassword': 'Confirm the new password',
      'confirm': 'Confirm',
      'cancel': 'CANCEL',
      'textConfigMode1': 'On the device 1 press  .... ',
      'textConfigMode2': 'On the device 2 press .... ',
      'personalData': 'Personal data',
      'logout': 'Signout',
      'removeAccount': 'Disable/Delete Account',
      'accountAndSecurity': 'Account and Security',
      'privacyInformation': 'Privacy Information',
      'useExistingAccount': 'Login',
      'createNewAccount': 'Create a new account',
      'privacyText':
          'By clicking on I accept, I declare that I have read, understood and fully accepted the Privacy Policy.\n ',
      'deny': 'Deny',
      'chooseTheProduct': 'Choose the product:',
      'tutorial': 'TUTORIAL',
      'addTheDevice': 'ADD A DEVICE',
      'errorReport': 'Error Report',
      'privacyPage': 'Privacy Information',
      'areYouSureDelete': 'Are you sure you wish to delete this item?',
      'delete': 'DELETE',
      'elementDeleted': 'The item has been deleted',
      'functionsList': 'List of functions',
      'ordersManagement': 'ORDER MANAGEMENT',
      'customersManagement': 'CUSTOMER MANAGEMENT',
      'selectAnOrder': 'Select an order',
      'customer': 'Customer',
      'shopName': 'Shop name',
      'description': 'Description',
      'date': 'Date',
      'newCustomerOrder': 'NEW CUSTOMER ORDER',
      'orderData': 'Order data',
      'customerName': 'Customer name',
      'errorRetreivingInformation': 'Error retrieving information',
      'updateCompletedSuccessfully': 'Update completed successfully',
      'errorWritingInformation': 'Error writing information',
      'product': 'Product',
      'products': 'Products',
      'required': 'required',
      'quantity': 'quantity',
      'updateSuccessfullyOffline': 'Update completed offline',
      'changeCustomerOrder': 'CHANGE CUSTOMER ORDER',
      'productDescription': 'Product description',
      'newOrderRow': 'NEW ORDER ROW',
      'changeOrderRow': 'CHANGE ORDER ROW',
      'selectACustomer': 'Select a customer',
      'orderNumber': 'Order number',
      'phoneNumber': 'Phone number',
      'province': 'Province',
      'country': 'Country',
      'customerNumber': 'Customer number',
      'addressesManagement': 'CUSTOMERS ADDRESSES MANAGEMENT',
      'selectAnAddress': 'Select an Address',
      'changeCustomerAddress': 'MODIFICA INDIRIZZO CLIENTE',
      'addressData': 'Address data',
      'pointOfSalCode': 'Codice punto vendita',
      'numberRequired': 'Il valore deve essere numerico',
      'newCustomerAddress': 'NUOVO INDIRIZZO DI SPEDIZIONE',
      'rememberCredentials': 'Remember the credentials',
      'selectAnEnvironment': 'Select an environment',
      'environment': 'Environment'
    },
    'it': {
      'wrong-password': 'la password è errata',
      'user-disabled': 'l\' utente è disabilitato',
      'invalid-email': 'la mail non è valida',
      'user-not-found': 'Utente non trovato',
      'pwdNotValid': 'Password non valida',
      'pwdNotEqual': 'Le password non coincidono',
      'emailNotValid': 'Si prega di inserire una email valida',
      'fieldRequired': 'Dato obbligatorio',
      'zipCodeNotValid': 'Si prega di inserire un CAP valido',
      'registrationFailed': 'Non è stato possibile registrare l\'utente',
      'extensionFailed': 'Non è stato possibile registrare i dati personali',
      'confirmRequired':
          'Registrazione completata. Si prega di confermare il proprio indirizzo email nella posta elettronica',
      'loginFailed':
          'Login non riuscito. Si prega di controllare le credeziali.',
      'accept': 'ACCETTO',
      'passwordChangeFailed': 'Modifica password non riuscita',
      'dataNotAvailable': 'Dati non disponibili',
      'continue': 'CONTINUA',
      'noWiFi':
          'Questa funzione richiede che tu sia connesso ad una rete Wi-Fi',
      'noLocationPermission':
          'Questa funzionalità richiede l\'accettazione del permesso ad accedere alla posizione del telefono',
      'noLocationService':
          'Il servizio di localizzazione non è attivo sul telefono',
      'noInternetConnection': 'Verifica la tua connessione a ',
      'textTutorial1': 'text Tutorial 1',
      'textTutorial2': 'text Tutorial 2',
      'textTutorial3': 'text Tutorial 3',
      'textTutorial4': 'text Tutorial 4',
      'textTutorial5': 'text Tutorial 5',
      'textTutorial6': 'text Tutorial 6',
      'textTutorial7': 'text Tutorial 7',
      'emailRecover': 'Inserisci la email per il recupero della password',
      'forgotPassword': 'Password Dimenticata',
      'signUp': 'Registrati',
      'end': 'FINE',
      'changePassword': 'Modifica Password',
      'userProfile': 'Profilo Utente',
      'myDevices': 'I miei prodotti',
      'name': 'Nome',
      'surname': 'Cognome',
      'address': 'Indirizzo',
      'zipcode': 'CAP',
      'city': 'Città',
      'currentPassword': 'Password attuale',
      'newPassword': 'Nuova Password',
      'confirmPassword': 'Conferma la nuova password',
      'confirm': 'CONFERMA',
      'cancel': 'ANNULLA',
      'textConfigMode1': 'Sul dispositivo 1 premi il tasto .... ',
      'textConfigMode2': 'Sul dispositivo 2 premi il tasto .... ',
      'personalData': 'Dati personali',
      'logout': 'Disconnetti',
      'removeAccount': 'Disabilita/Elimina Account',
      'accountAndSecurity': 'Account e Sicurezza',
      'privacyInformation': 'INFORMATIVA PRIVACY',
      'useExistingAccount': 'Login',
      'createNewAccount': 'Crea un nuovo account',
      'privacyText':
          'Cliccando su accetto dichiaro di aver letto, compreso e accettato completamente l’Informativa sulla Privacy.\n',
      'deny': 'ANNULLA',
      'chooseTheProduct': 'SCEGLI IL PRODOTTO',
      'tutorial': 'TUTORIAL',
      'addTheDevice': 'AGGIUNTA DISPOSITIVO',
      'errorReport': 'SEGNALAZIONE ERRORE',
      'privacyPage': 'Informativa sulla Privacy',
      'areYouSureDelete': 'Sicuro di vole eliminare questo elemento?',
      'delete': 'ELIMINA',
      'elementDeleted': 'L\'elemento è stato eliminato',
      'functionsList': 'Elenco delle funzioni',
      'ordersManagement': 'GESTIONE ORDINI',
      'customersManagement': 'GESTIONE CLIENTI',
      'selectAnOrder': 'Seleziona un ordine',
      'customer': 'Cliente',
      'shopName': 'Nome negozio',
      'description': 'Descrizione',
      'date': 'Data',
      'newCustomerOrder': 'NUOVO ORDINE CLIENTE',
      'orderData': 'Dati dell\'ordine',
      'customerName': 'Nome cliente',
      'errorRetreivingInformation':
          'Errore durante il recupero delle informazioni',
      'updateCompletedSuccessfully': 'Aggiornamento completato con successo',
      'errorWritingInformation':
          'Errore durante la scrittura delle informazioni',
      'product': 'Articolo',
      'products': 'Articoli',
      'required': 'obbligatorio',
      'quantity': 'quantita',
      'updateSuccessfullyOffline': 'Aggiornamento completato offline',
      'changeCustomerOrder': 'MODIFICA ORDINE CLIENTE',
      'productDescription': 'Descrizione articolo',
      'newOrderRow': 'NUOVA RIGA ORDINE',
      'changeOrderRow': 'MODIFICA RIGA ORDINE',
      'selectACustomer': 'Seleziona un cliente',
      'orderNumber': 'Numero ordine',
      'phoneNumber': 'Numero telefono',
      'province': 'Provincia',
      'country': 'Nazione',
      'customerNumber': 'Numero cliente',
      'addressesManagement': 'GESTIONE INDIRIZZI DI SPEDIZIONE',
      'selectAnAddress': 'Seleziona un indirizzo',
      'changeCustomerAddress': 'CHANGE CUSTOMER ADDRESS',
      'addressData': 'Dati dell\'indirizzo',
      'pointOfSalCode': 'Point of sale code',
      'numberRequired': 'The value must be a number',
      'newCustomerAddress': 'NEW SHIPPING ADDRESS',
      'rememberCredentials': 'Remember the credentials',
      'selectAnEnvironment': 'Seleziona un ambiente',
      'environment': 'Ambiente'
    },
    'fr': {
      'wrong-password': 'le mot de passe est incorrect',
      'user-disabled': 'l\'utilisateur est désactivé',
      'invalid-email': 'le courrier n\'est pas valide',
      'user-not-found': 'Utilisateur introuvable',
      'pwdNotValid': 'Mot de passe non valide',
      'pwdNotEqual': 'Les mots de passe ne correspondent pas',
      'emailNotValid': 'S\'il vous plaît entrer un e-mail valide',
      'fieldRequired': 'Données obligatoires',
      'zipCodeNotValid': 'Veuillez saisir un code postal valide',
      'registrationFailed': 'Impossible d\'enregistrer l\'utilisateur',
      'extensionFailed': 'Impossible d\'enregistrer des données personnelles',
      'confirmRequired':
          'Inscription terminée. Veuillez confirmer votre adresse e-mail par e-mail',
      'loginFailed':
          'Échec de la connexion. S\'il vous plaît vérifier les croyants.',
      'accept': 'J\'ACCEPTE',
      'passwordChangeFailed': 'Échec de la modification du mot de passe',
      'dataNotAvailable': 'Données non disponibles',
      'continue': 'CONTINUER',
      'noWiFi':
          'Cette fonction nécessite que vous soyez connecté à un réseau Wi-Fi',
      'noLocationPermission':
          'Questa funzionalità richiede l\'accettazione del permesso ad accedere alla posizione del telefono',
      'noLocationService':
          'Le service de localisation n\'est pas actif sur votre téléphone',
      'noInternetConnection': 'Vérifiez votre connexion à',
      'textTutorial1': 'Tutoriel texte 1',
      'textTutorial2': 'Tutoriel texte 2',
      'textTutorial3': 'Tutoriel texte 3',
      'textTutorial4': 'Tutoriel texte 4',
      'textTutorial5': 'Tutoriel texte 5',
      'textTutorial6': 'Tutoriel texte 6',
      'textTutorial7': 'Tutoriel texte 7',
      'emailRecover': 'Entrez l\'e-mail de récupération de mot de passe',
      'forgotPassword': 'Mot de passe oublié',
      'signUp': 'Inscrivez-vous',
      'end': 'FIN',
      'changePassword': 'Modifier le mot de passe',
      'userProfile': 'Profil utilisateur',
      'myDevices': 'Mes produits',
      'name': 'Nom',
      'surname': 'Nom de famille',
      'address': 'Adresse',
      'zipcode': 'Postal Code',
      'city': 'Ville',
      'currentPassword': 'Mot de passe actuel',
      'newPassword': 'Nouveau mot de passe',
      'confirmPassword': 'Confirmer le nouveau mot de passe',
      'confirm': 'CONFIRMATION',
      'cancel': 'ANNULER',
      'textConfigMode1': 'Sur l\'appareil 1, appuyez sur la touche .... ',
      'textConfigMode2': 'Sur l\'appareil 2, appuyez sur la touche .... ',
      'personalData': 'Données personnelles',
      'logout': 'Déconnectez-vous',
      'removeAccount': 'Désactiver/supprimer des comptes',
      'accountAndSecurity': 'Comptes et sécurité',
      'privacyInformation': 'POLITIQUE DE CONFIDENTIALITÉ',
      'useExistingAccount': 'Connexion',
      'createNewAccount': 'Créer un nouveau compte',
      'privacyText':
          'En cliquant sur j\'accepte, je déclare avoir lu, compris et accepté complètement la politique de confidentialité.\n',
      'deny': 'ANNULER',
      'chooseTheProduct': 'CHOISIR LE PRODUIT',
      'tutorial': 'TUTORIEL',
      'addTheDevice': 'DISPOSITIF AJOUTÉ',
      'errorReport': 'RAPPORT D\'ERREUR',
      'privacyPage': 'Politique de confidentialité',
      'areYouSureDelete': 'Est-il sûr de vouloir supprimer cet élément?',
      'delete': 'SUPPRIMER',
      'elementDeleted': 'L\'élément a été supprimé',
      'functionsList': 'liste des fonctions',
      'ordersManagement': 'GESTION DES COMMANDES',
      'customersManagement': 'GESTION DE LA CLIENTÈLE',
      'selectAnOrder': 'Sélectionnez une commande',
      'customer': 'Client',
      'shopName': 'Nom de magasin',
      'description': 'Description',
      'date': 'Date',
      'newCustomerOrder': 'NOUVELLE COMMANDE CLIENT',
      'orderData': 'Données de commande',
      'customerName': 'Nom du client',
      'errorRetreivingInformation':
          'Erreur lors de la récupération des informations',
      'updateCompletedSuccessfully': 'mise à jour terminée avec succès',
      'errorWritingInformation': 'Erreur lors de l\'écriture des informations',
      'product': 'Produit',
      'products': 'Produits',
      'required': 'obligatoire',
      'quantity': 'Quantité',
      'updateSuccessfullyOffline': 'Mise à jour terminée hors ligne',
      'changeCustomerOrder': 'MODIFIER LA COMMANDE CLIENT',
      'productDescription': 'Description du produit',
      'newOrderRow': 'NOUVELLE LIGNE DE COMMANDE',
      'changeOrderRow': 'MODIFIER LA LIGNE DE COMMANDE',
      'selectACustomer': 'Sélectionnez un client',
      'orderNumber': 'Numéro de commande',
      'phoneNumber': 'numéro de téléphone',
      'province': 'Province',
      'country': 'Nation',
      'customerNumber': 'Numéro de client',
      'addressesManagement': 'GESTION DES ADRESSES D\'EXPÉDITION',
      'selectAnAddress': 'Sélectionnez une adresse',
      'changeCustomerAddress': 'MODIFIER L\'ADRESSE CLIENT',
      'addressData': 'Données de l\'adresse',
      'pointOfSalCode': 'Code de vente',
      'numberRequired': 'La valeur doit être numérique',
      'newCustomerAddress': 'NOUVELLE ADRESSE D\'EXPÉDITION',
      'rememberCredentials': 'Mémoriser les informations d\'identification',
      'selectAnEnvironment': 'Sélectionner un environnement',
      'environment': 'Environnement'
    },
  };

  String getLocalString(stringCode) {
    var localString = _localizedValues[locale.languageCode][stringCode];

    if (localString != null) {
      return localString;
    } else {
      return stringCode;
    }
  }
}
