import 'package:flutter/material.dart';
import 'package:ken/smeup/screens/smeup_dynamic_screen.dart';
import '/screens/main_screen.dart';

class RoutingService {
  static dynamic getRoutes(RouteSettings settings) {
    dynamic instance;

    switch (settings.name) {
      case SmeupDynamicScreen.routeName:
        instance = SmeupDynamicScreen();
        break;

      case MainScreen.routeName:
        instance = const MainScreen();
        break;

      default:
        // unknown route
        instance = const MainScreen();
    }

    return PageRouteBuilder(
        pageBuilder: (context, __, ___) => instance,
        settings: settings,
        transitionDuration: const Duration(milliseconds: 400),
        transitionsBuilder: (BuildContext context, Animation<double> animation,
            Animation<double> secondaryAnimation, Widget child) {
          return SlideTransition(
            position: Tween(
                    begin: const Offset(1.0, 0.0), end: const Offset(0.0, 0.0))
                .animate(animation),
            child: child,
          );
        });
  }
}
