import 'package:flutter/material.dart';

class RememberWrapper extends StatefulWidget {
  final GlobalKey<FormState> formKey;
  final GlobalKey<ScaffoldState> scaffoldKey;
  final Function onCheckChanged;

  final bool remember;

  const RememberWrapper(
      {Key key,
      this.formKey,
      this.scaffoldKey,
      this.onCheckChanged,
      this.remember})
      : super(key: key);

  @override
  _RememberWrapperState createState() => _RememberWrapperState();
}

class _RememberWrapperState extends State<RememberWrapper> {
  bool _remember = false;

  @override
  void initState() {
    _remember = widget.remember;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Checkbox(
          value: _remember,
          activeColor: const Color(0xff06899b),
          onChanged: (value) {
            setState(() {
              _remember = value;
              widget.onCheckChanged(_remember);
            });
          },
        )
      ],
    );
  }
}
